#
# spec file for package libmodplug
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libmodplug
Summary:        A MOD playing library
Version:        0.8.8.3
Release:        2.12.1
Group:          System/Libraries
License:        Public Domain
Url:            http://modplug-xmms.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE libmodplug-timidity.patch -- set paths to openSUSE timidity package
Patch1:         libmodplug-timidity.patch
# PATCH-FEATURE-UPSTREAM libmodplug-api-change.patch -- Upstream commit that changes API that needs to be reverted for the library with the original soname.
Patch2:         libmodplug-api-change.patch
BuildRequires:  gcc-c++ pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured, complete
input plugin for XMMS which plays mod-like music formats. It is based on the
mod rendering code from ModPlug, a popular windows mod player written by
Olivier Lapicque, found at http://www.modplug.com/.

%package -n libmodplug0
License:        Public Domain
Summary:        Development files for libmodplug
Group:          Development/Libraries/C and C++

%description -n libmodplug0
Modplug library based on the ModPlug sound engine.
- plays 22 different mod formats.
- plays zip, rar, gzip, and bzip2 compressed mods.
- plays timidity's GUS patch files (*.pat).
- plays all types of MIDI files (*.mid).
- plays textfiles written in the ABC music notation (*.abc).

%package devel
License:        Public Domain
Summary:        Development files for libmodplug
Group:          Development/Libraries/C and C++
Requires:       libmodplug0 = %{version}
# Name in Packman and OBS before openSUSE 11.2, Never in openSUSE.
Provides:       libmodplug0-devel = %{version}
Obsoletes:      libmodplug0-devel < %{version}

%description devel
Files needed to program against libmodplug.

%prep
%setup -q
%patch1
%patch2 -p1
tr -d '\r' <ChangeLog >ChangeLog~
touch -r ChangeLog~ ChangeLog
mv ChangeLog~ ChangeLog

%build
autoreconf -f -i
%configure\
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n libmodplug0 -p /sbin/ldconfig

%postun -n libmodplug0 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libmodplug0
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 11 2011 sbrabec@suse.cz
- Updated to version 0.8.8.3 (with revert of API change):
  * Several security fixes (including CVE-2011-1761, bnc#691137).
  * Improve compatibility with MSVC 2010
  * Improve PTM playback (Fix byteswapping)
  * Improve S3M support (ignore corrupted data)
  * Improve AMF support (bounds checking)
* Mon Apr 11 2011 sbrabec@suse.cz
- Fixed S3M stack overflow (bnc#686624).
* Tue Feb 16 2010 meissner@suse.de
- added a baselibs.conf (for libxine1 baselibs)
* Wed May  6 2009 sbrabec@suse.cz
- Changes reviewed and signed-off.
* Wed Apr 29 2009 cmorve69@yahoo.es
- Updated to version 0.8.7.
  * small fixes contributed since last release
  * buffer overflow fix (already fixed in openSUSE)
* Tue Apr 21 2009 sbrabec@suse.cz
- Package added to openSUSE Factory - gstreamer-0_10-plugins-bad
  now depend on external libmodplug. Source: OBS home:RedDwarf.
- Rename and split according to shared library policy.
- Updated to version 0.8.6:
  * small fixes contributed since last release
  * fixed libmodplug s3m boundary check overflow vulnerability in
    Amiga MED and OctaMED files (bnc#496541, securityfocus#30801)
- Fixed invalid delete (bnc#443444).
- Fixed timidity.cfg path.
* Mon Mar 23 2009 cmorve69@yahoo.es
- First OBS version, from Packman
* Fri Nov  3 2006 Manfred.Tremmel@iiv.de
- Update to 0.8.4
* Fri Oct 15 2004 Manfred.Tremmel@iiv.de
- some little changes for amd64
* Fri Feb 13 2004 Manfred.Tremmel@iiv.de
- Initial version
